package Sentinel::Tests::ping_icmp;

use Sentinel::Tests::Base;
@ISA = qw( Sentinel::Tests::Base );

use Net::Ping;

# This will check if a host is alive by connecting to a port using TCP
# It can take an override port, or defaults to the echo port
# If connection refused/connect is returned, then it assumes host is
# alive, if timeout is reached then no host is alive
sub execute
{
	my $self = shift;
	$self -> message( "Ping test executing" );

	my $p = Net::Ping -> new( 'icmp', $self -> opt( 'timeout' ) || 5 );
	
	if( $p -> ping( $self -> host_addr() ) )
	{
		return( 0 );
	}else
	{
		$self -> message( "Error: no response" );
		return( 1 );
	}
}

1;
